Index: PostgreSqlDotnetCore/Views/Blog/Details.cshtml
===================================================================
--- PostgreSqlDotnetCore/Views/Blog/Details.cshtml	(revision 72b1da27c6dadc5f1ae45e91e7c4f60289917575)
+++ PostgreSqlDotnetCore/Views/Blog/Details.cshtml	(revision 118e414d91bed6d2f18476304a58e95728403f8c)
@@ -80,4 +80,6 @@
                     @Html.ActionLink("Details", "Details", "BlogPostAnswers", new { id = item.id }) |
                     @Html.ActionLink("Delete", "Delete", "BlogPostAnswers", new { id = item.id })
+
+                    @Html.ActionLink("Create an Answer", "Create", "BlogPostAnswers", new { id = item.BlogPostConsultationid, parentId = item.id })
                 </td>
             </tr>
@@ -87,4 +89,5 @@
 </div>
 <p>
+    @Html.ActionLink("Create an Answer", "Create", "BlogPostAnswers", new { id = Model.id, parentId = Model.id })
     @Html.ActionLink("Edit", "Edit", new { id = Model.id }) |
     @Html.ActionLink("Back to List", "Index")
Index: PostgreSqlDotnetCore/Views/Blog/Index.cshtml
===================================================================
--- PostgreSqlDotnetCore/Views/Blog/Index.cshtml	(revision 72b1da27c6dadc5f1ae45e91e7c4f60289917575)
+++ PostgreSqlDotnetCore/Views/Blog/Index.cshtml	(revision 118e414d91bed6d2f18476304a58e95728403f8c)
@@ -29,58 +29,58 @@
     </tr>
 
-@foreach (var item in Model) {
-    <tr>
-        <td>
-            @Html.DisplayFor(modelItem => item.date_askes)
-        </td>
-        <td>
-            @Html.DisplayFor(modelItem => item.title)
-        </td>
+    @foreach (var item in Model)
+    {
+        <tr>
+            <td>
+                @Html.DisplayFor(modelItem => item.date_askes)
+            </td>
+            <td>
+                @Html.DisplayFor(modelItem => item.title)
+            </td>
 
-        <td>
-            @Html.DisplayFor(modelItem => item.description)
-        </td>
-        <th>
-            @Html.DisplayFor(model => item.users_id)
-        </th>
+            <td>
+                @Html.DisplayFor(modelItem => item.description)
+            </td>
+            <th>
+                @Html.DisplayFor(model => item.users_id)
+            </th>
 
-       @*<td>
-            @Html.ActionLink("Edit", "Edit", new { id = item.id }) |
-            @Html.ActionLink("Answers", "Details", new { id = item.id }) |
-            @Html.ActionLink("Delete", "Delete", new { id = item.id })
+            @*<td>
+        @Html.ActionLink("Edit", "Edit", new { id = item.id }) |
+        @Html.ActionLink("Answers", "Details", new { id = item.id }) |
+        @Html.ActionLink("Delete", "Delete", new { id = item.id })
         </td>
         *@
-           
 
 
 
-              @if (item.users_id == ViewBag.CurrentUserId)
-              {
-              <td>
-            @Html.ActionLink("Edit", "Edit", new { id = item.id }) 
-            @Html.ActionLink("Delete", "Delete", new { id = item.id })
-              
-        </td>
+
+            @if (item.users_id == ViewBag.CurrentUserId)
+            {
+                <td>
+                    @Html.ActionLink("Edit", "Edit", new { id = item.id })
+                    @Html.ActionLink("Delete", "Delete", new { id = item.id })
+
+                </td>
             }
 
-           
 
             @if (item.users_id == ViewBag.CurrentUserId || item.users_id != ViewBag.CurrentUserId)
             {
                 <td>
-                    
-                    @Html.ActionLink("Answers", "Details", new { id = item.id }) 
-                    
+
+                    @Html.ActionLink("Answers", "Details", new { id = item.id })
+
 
                 </td>
             }
-            
 
 
-           
-        
-           
-    </tr>
-}
+
+
+
+
+        </tr>
+    }
 
 </table>
Index: PostgreSqlDotnetCore/Views/BlogPostAnswers/Create.cshtml
===================================================================
--- PostgreSqlDotnetCore/Views/BlogPostAnswers/Create.cshtml	(revision 72b1da27c6dadc5f1ae45e91e7c4f60289917575)
+++ PostgreSqlDotnetCore/Views/BlogPostAnswers/Create.cshtml	(revision 118e414d91bed6d2f18476304a58e95728403f8c)
@@ -17,5 +17,5 @@
     @Html.ValidationSummary(true, "", new { @class = "text-danger" })
 
-    <div class="form-group">
+   @*  <div class="form-group">
         @Html.LabelFor(model => model.parent_id, htmlAttributes: new { @class = "control-label col-md-2" })
         <div class="col-md-10">
@@ -24,5 +24,5 @@
         </div>
     </div>
-
+ *@
     <div class="form-group">
         @Html.LabelFor(model => model.reply, htmlAttributes: new { @class = "control-label col-md-2" })
Index: PostgreSqlDotnetCore/Views/BlogPostAnswers/Details.cshtml
===================================================================
--- PostgreSqlDotnetCore/Views/BlogPostAnswers/Details.cshtml	(revision 72b1da27c6dadc5f1ae45e91e7c4f60289917575)
+++ PostgreSqlDotnetCore/Views/BlogPostAnswers/Details.cshtml	(revision 118e414d91bed6d2f18476304a58e95728403f8c)
@@ -31,4 +31,5 @@
 <p>
     @Html.ActionLink("Edit", "Edit", new { id = Model.id }) |
-    @Html.ActionLink("Back to List", "Index")
+    @* @Html.ActionLink("Back to List", "Index") *@
+    <a href="javascript:void(0);" onclick="history.go(-1);">Back to List</a>
 </p>
Index: PostgreSqlDotnetCore/Views/Customer/Index.cshtml
===================================================================
--- PostgreSqlDotnetCore/Views/Customer/Index.cshtml	(revision 72b1da27c6dadc5f1ae45e91e7c4f60289917575)
+++ PostgreSqlDotnetCore/Views/Customer/Index.cshtml	(revision 118e414d91bed6d2f18476304a58e95728403f8c)
@@ -17,7 +17,15 @@
     {
 
-        <p>
+       /* <p>
             @Html.ActionLink("Create New", "Create")
         </p>
+        */
+
+        @if (ViewBag.CanCreate)
+        {
+            <p>
+                @Html.ActionLink("Create New", "Create")
+            </p>
+        }
         <table class="table">
             <tr>
Index: PostgreSqlDotnetCore/Views/Shared/_Layout.cshtml
===================================================================
--- PostgreSqlDotnetCore/Views/Shared/_Layout.cshtml	(revision 72b1da27c6dadc5f1ae45e91e7c4f60289917575)
+++ PostgreSqlDotnetCore/Views/Shared/_Layout.cshtml	(revision 118e414d91bed6d2f18476304a58e95728403f8c)
@@ -13,5 +13,5 @@
 </head>
 <body>
-    <h1>@(ViewBag.isAuthenticated == null ? "krij" : "prikazi")</h1>
+    @* <h1>@(ViewBag.isAuthenticated == null ? "krij" : "prikazi")</h1> *@
     <header>
         <nav class="navbar navbar-expand-sm navbar-toggleable-sm navbar-light bg-white border-bottom box-shadow mb-3">
@@ -47,8 +47,8 @@
                                     <a class="nav-link text-dark" asp-area="" asp-controller="Customer" asp-action="Index">Manage Customers</a>
                                 </li>
-                                <li class="nav-item">
+                               @* <li class="nav-item">
                                     <a class="nav-link text-dark" asp-area="" asp-controller="City" asp-action="Index">Manage Cities</a>
                                 </li>
-                               
+                               *@
                                 <li class="nav-item">
                                     <a class="nav-link text-dark" asp-area="" asp-controller="Blog" asp-action="Index">BlogPost</a>
@@ -56,6 +56,15 @@
                             }
 
+                          
+
                             
                         }
+                        @if (ViewBag.OnlyAdminManager != null)
+                        {
+                            <li class="nav-item">
+                                <a class="nav-link text-dark" asp-area="" asp-controller="City" asp-action="Index">Manage Cities</a>
+                            </li>
+                        }
+
 
                        
